# pausePlayer method

Future<void> pausePlayer()

Pause the current playback.

An exception is thrown if the player is not in the "playing" state.

## Return

Return a Future which is completed when the function is done.

## Example

    await myPlayer.pausePlayer();

## See also

- resumePlayer()

## Implementation

    Future<void> pausePlayer() async {
      _logger.d('FS:---> pausePlayer ');
      await _lock.synchronized(() async {
        await _pausePlayer();
      });
      _logger.d('FS:<--- pausePlayer ');
    }